## Migration Guide: Overview
Welcome to the MudBlazor Migration Guide for upgrading your project to newer versions. This guide provides essential information to help you transition smoothly to the latest version of MudBlazor.

Each release might include new features, improvements, bug fixes, and, in some cases, breaking changes. To ensure you can adopt the new version without issues, we have outlined the necessary steps and linked to detailed migration instructions for specific releases.

#

### How to Use This Guide
- Identify Your Current Version
  * Before starting, confirm which version you are upgrading from.
- Follow the Version-Specific Guide
  * Each release has a dedicated GitHub issue containing all the details for migrating.
  * If you're upgrading across multiple versions, follow each guide sequentially, starting from your current version and progressing to the latest.
- Address Breaking Changes
  * Pay attention to any breaking changes or deprecated features listed for the target version.

#

### Migration Guides by Version
#### v7.0.0 
 - [Migration Guide](https://github.com/MudBlazor/MudBlazor/issues/8447)
 - [Feedback/Discussion](https://github.com/MudBlazor/MudBlazor/discussions/8976)
#### v8.0.0 
 - [Migration Guide](https://github.com/MudBlazor/MudBlazor/issues/9953)
 - [Feedback/Discussion](https://github.com/MudBlazor/MudBlazor/discussions/10003)
