# MudBlazor Roadmap

MudBlazor continues to grow with millions of downloads on [NuGet](https://www.nuget.org/packages/MudBlazor/) and a thriving community on [Discord](https://discord.gg/mudblazor).

With the release of v7 and now v8, we've introduced many new features, fixed long-standing issues, and built a stronger foundation for the future. The focus has been on stability, performance, and evolving with the needs of the community.

## 🔁 Migration

### .NET Lifecycle

We no longer provide updates for .NET 6 or .NET 7.  
This change aligns with Microsoft's [.NET support policies](https://dotnet.microsoft.com/en-us/platform/support/policy/dotnet-core) and lets us focus on newer versions.

To stay current, update your SDK to .NET 8 or .NET 9.

### MudBlazor Version Support

- **v8**: The current recommended version. All new features and improvements go here.
- **v7**: We'll continue to accept bug fixes from the community, but no new features.
- **v6**: Official support ended in January 2025. No further updates will be released.

### Migrating from Older Versions

v7 introduced necessary breaking changes. v8 builds on that with an aim for smoother transitions.

For help with upgrading, check out:

- [v7 Migration Guide](https://github.com/MudBlazor/MudBlazor/issues/8447)
- [v8 Migration Guide](https://github.com/MudBlazor/MudBlazor/issues/9953)  
- [Built-in Analyzer](https://mudblazor.com/features/analyzers) – flags removed or renamed parameters

## 🔮 Looking Ahead

We're committed to improving MudBlazor, but since it's a community-driven project, we can't promise exact release timelines or specific features.

Our focus is to keep the library stable, performant, and modern. The pace of development depends on volunteer availability, and we appreciate your patience and support as we continue to evolve.

## 🤝 Get Involved

MudBlazor wouldn't be what it is without our amazing community.  
Whether you work with C#, Blazor, JavaScript, CSS, testing, or docs, your contributions are always welcome!

Read our [contribution guide](https://github.com/MudBlazor/MudBlazor/blob/dev/CONTRIBUTING.md) to get started.  
Submit a pull request, open an issue, start a discussion, or tag us on GitHub to collaborate, or hop into [Discord](https://discord.gg/mudblazor) and say hi!
