﻿//Copyright(c) Alessandro Ghidini.All rights reserved.
//Changes and improvements Copyright (c) The MudBlazor Team.

namespace MudBlazor;

#nullable enable

/// <summary>
/// Contains common snackbar CSS classes.
/// </summary>
public static class Defaults
{
    /// <summary>
    /// Contains common snackbar CSS classes.
    /// </summary>
    public static class Classes
    {
        /// <summary>
        /// The CSS classes used to position snackbars.
        /// </summary>
        public static class Position
        {
            /// <summary>
            /// Snackbars will appear in the top-left corner.
            /// </summary>
            public const string TopLeft = "mud-snackbar-location-top-left";

            /// <summary>
            /// Snackbars will appear at the top, centered horizontally.
            /// </summary>
            public const string TopCenter = "mud-snackbar-location-top-center";

            /// <summary>
            /// Snackbars will appear in the top-right corner.
            /// </summary>
            public const string TopRight = "mud-snackbar-location-top-right";

            /// <summary>
            /// Snackbars will appear at the top, aligned based on Right-to-Left settings.
            /// </summary>
            public const string TopStart = "mud-snackbar-location-top-start";

            /// <summary>
            /// Snackbars will appear at the top, aligned based on Right-to-Left settings.
            /// </summary>
            public const string TopEnd = "mud-snackbar-location-top-end";

            /// <summary>
            /// Snackbars will appear in the bottom-left corner.
            /// </summary>
            public const string BottomLeft = "mud-snackbar-location-bottom-left";

            /// <summary>
            /// Snackbars will appear on the bottom, centered horizontally.
            /// </summary>
            public const string BottomCenter = "mud-snackbar-location-bottom-center";

            /// <summary>
            /// Snackbars will appear in the bottom-right corner.
            /// </summary>
            public const string BottomRight = "mud-snackbar-location-bottom-right";

            /// <summary>
            /// Snackbars will appear on the bottom, aligned based on Right-to-Left settings.
            /// </summary>
            public const string BottomStart = "mud-snackbar-location-bottom-start";

            /// <summary>
            /// Snackbars will appear on the bottom, aligned based on Right-to-Left settings.
            /// </summary>
            public const string BottomEnd = "mud-snackbar-location-bottom-end";
        }
    }
}
